import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class VelocityButton extends StatelessWidget {
  VelocityButton({
    @required this.title,
    this.icon,
    this.onPressed,
    this.width,
    this.height = 40,
    this.enabled = true,
    this.brightness = Brightness.dark,
  });

  final double height;
  final double width;
  final Widget icon;
  final VoidCallback onPressed;
  final String title;
  final bool enabled;
  final Brightness brightness;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onPressed,
      child: AnimatedOpacity(
        duration: Duration(milliseconds: 200),
        opacity: enabled ? 1 : 0.2,
        child: Container(
          height: height,
          width: width,
          decoration: BoxDecoration(
            color: brightness == Brightness.dark ? darkBlue : lightBlue,
            borderRadius: BorderRadius.circular(4),
          ),
          child: Row(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Expanded(
                child: Center(child: icon),
              ),
              Center(
                child: Text(
                  this.title,
                  textAlign: TextAlign.center,
                  style: headline4.copyWith(
                    color: brightness == Brightness.dark ? Colors.white : darkBlue,
                  ),
                ),
              ),
              ExpandedContainer(),
            ],
          ),
        ),
      ),
    );
  }
}
