import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class VelocityIconButton extends StatelessWidget {
  final IconData icon;
  final Color color;
  final double size;
  final Brightness brightness;
  final VoidCallback onPressed;

  const VelocityIconButton({
    Key key,
    @required this.icon,
    this.color = darkBlue,
    this.size = 72,
    this.brightness = Brightness.dark,
    this.onPressed,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: BorderRadius.circular(size / 2),
      child: InkWell(
        onTap: onPressed,
        child: Container(
          width: size,
          height: size,
          decoration: BoxDecoration(
            color: color.withOpacity(brightness == Brightness.dark ? 1 : 0.2),
          ),
          child: Center(
            child: Icon(
              icon,
              color: brightness == Brightness.dark ? Colors.white : color,
              size: size / 2,
            ),
          ),
        ),
      ),
    );
  }
}
