import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class VelocityTextButton extends StatelessWidget {
  VelocityTextButton({
    @required this.title,
    this.onPressed,
    this.fontSize = 16,
    this.color = darkBlue,
    this.enabled = true,
    this.brightness = Brightness.dark,
  });

  final double fontSize;
  final VoidCallback onPressed;
  final String title;
  final Color color;
  final bool enabled;
  final Brightness brightness;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onPressed,
      child: AnimatedOpacity(
        duration: Duration(milliseconds: 200),
        opacity: enabled ? 1 : 0.2,
        child: Text(
          this.title,
          textAlign: TextAlign.center,
          style: headline4.copyWith(
            color: brightness == Brightness.dark ? color : Colors.white,
            fontSize: fontSize,
          ),
        ),
      ),
    );
  }
}
