import 'package:bmcommons/bmcommons.dart';
import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class VelocityDrawerHeader extends StatelessWidget {
  final Widget avatarWidget;
  final String title;
  final String subtitle;

  const VelocityDrawerHeader({
    Key key,
    @required this.title,
    @required this.subtitle,
    this.avatarWidget,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      // mainAxisAlignment: MainAxisAlignment.center,
      children: [
        HorizontalSpacing(),
        Visibility(
          visible: avatarWidget != null,
          child: Row(
            children: [
              avatarWidget ?? Container(),
              HorizontalSpacing(16),
            ],
          ),
        ),
        Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Text(title, style: headline5),
            Text(subtitle, style: bodyText1.copyWith(color: gray)),
          ],
        ),
        ExpandedContainer()
      ],
    );
  }
}
