import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class DrawerTile extends StatefulWidget {
  final String title;
  final IconData icon;
  final VoidCallback onPressed;
  final bool selected;
  final bool open;

  const DrawerTile(
      {Key key, this.title, this.icon, this.onPressed, this.selected = false, this.open = true})
      : super(key: key);

  @override
  _DrawerTileState createState() => _DrawerTileState();
}

class _DrawerTileState extends State<DrawerTile> {
  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: widget.onPressed,
      child: AnimatedContainer(
        duration: Duration(milliseconds: 400),
        curve: Curves.easeOutExpo,
        height: 56,
        width: widget.open ? 215 : 80,
        color: widget.selected ? lightBlue : Colors.white,
        child: Row(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Container(
              width: 3,
              color: widget.selected ? darkBlue : Colors.white,
            ),
            Expanded(
              child: widget.open
                  ? Row(
                      mainAxisAlignment: MainAxisAlignment.center,
                      crossAxisAlignment: CrossAxisAlignment.center,
                      children: [
                        HorizontalSpacing(),
                        Icon(widget.icon, color: widget.selected ? darkBlue : Colors.grey[350]),
                        HorizontalSpacing(16),
                        Expanded(
                          child: Text(
                            widget.title,
                            style: headline5.copyWith(
                                color: widget.selected ? darkBlue : Colors.grey[350]),
                          ),
                        ),
                      ],
                    )
                  : Icon(widget.icon, color: widget.selected ? darkBlue : Colors.grey[350]),
            ),
          ],
        ),
      ),
    );
  }
}
