import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/widgets/buttons/custom_button.dart';
import 'package:velocity_components/widgets/drawer/drawer_tile.dart';

class VelocityDrawer extends StatelessWidget {
  final Widget header;
  final List<DrawerTile> tiles;
  final Function() onSignOutPressed;

  VelocityDrawer({Key key, this.header, this.tiles = const [], this.onSignOutPressed})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.white,
      child: Drawer(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: [
            Expanded(
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.stretch,
                children: [
                  VerticalSpacing(),
                  Visibility(
                    visible: header != null,
                    child: Padding(
                      padding: Spacing.standardVerticalPadding,
                      child: header,
                    ),
                  ),
                  Expanded(
                    child: ListView.builder(
                      padding: const EdgeInsets.all(0),
                      itemCount: tiles.length,
                      itemBuilder: (context, i) {
                        return tiles[i];
                      },
                    ),
                  ),
                  SafeArea(
                    child: Padding(
                      padding: Spacing.standardPadding,
                      child: VelocityButton(
                        title: 'Logout',
                        onPressed: onSignOutPressed,
                      ),
                    ),
                  ),
                ],
              ),
            ),
          ],
        ),
      ),
    );
  }
}
