import 'dart:ui';
import 'package:flutter/material.dart';

class IconBorder extends StatelessWidget {
  final Color color;
  final IconData icon;
  final Widget child;
  final double iconSize;
  final double aspectRatio;

  const IconBorder(
      {Key key, this.color, this.icon, this.child, this.iconSize = 24, this.aspectRatio = 2})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: [
        AspectRatio(
          aspectRatio: aspectRatio,
          child: Container(
            decoration: BoxDecoration(
              border: Border.all(
                color: color,
                width: 3,
              ),
              borderRadius: BorderRadius.circular(5),
            ),
            child: child,
          ),
        ),
        Positioned(
          top: 0,
          right: 0,
          child: Transform.translate(
            offset: Offset(iconSize / 2, -iconSize / 2),
            child: Container(
              height: iconSize,
              width: iconSize,
              decoration: BoxDecoration(
                color: color,
                borderRadius: BorderRadius.circular(iconSize / 2),
              ),
              child: Center(
                child: Icon(
                  icon,
                  color: Colors.white,
                  size: iconSize / 2,
                ),
              ),
            ),
          ),
        ),
      ],
    );
  }
}
