import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class MessageBubble extends StatelessWidget {
  final Color color;
  final String title;
  final String subtitle;

  const MessageBubble({
    Key key,
    this.color = darkBlue,
    this.title,
    this.subtitle,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 200),
      child: Container(
        decoration: BoxDecoration(
          color: color,
          borderRadius: BorderRadius.only(
            topLeft: Radius.circular(17),
            topRight: Radius.circular(17),
            bottomLeft: Radius.circular(17),
          ),
        ),
        child: Padding(
          padding: Spacing.standardPadding,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: [
              Text(
                title,
                style: headline5,
              ),
              Text(
                subtitle,
                style: caption.copyWith(color: Colors.white),
                textAlign: TextAlign.end,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
