import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class NumberTag extends StatelessWidget {
  final String title;
  final Color color;

  const NumberTag({
    Key key,
    this.title,
    this.color = darkBlue,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 20,
      width: 32,
      decoration: BoxDecoration(
        color: color.withOpacity(0.2),
        borderRadius: BorderRadius.circular(10),
      ),
      child: Center(
        child: Text(
          title,
          style: bodyText2.copyWith(color: color),
          textAlign: TextAlign.center,
        ),
      ),
    );
  }
}
