import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class VelocitySectionTitle extends StatelessWidget {
  final String title;
  final String subtitle;
  final double spacing;

  const VelocitySectionTitle({Key key, this.title, this.spacing = 110, this.subtitle})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.baseline,
      children: [
        Text(
          title,
          style: headline3,
        ),
        HorizontalSpacing(spacing),
        Text(
          subtitle,
          style: headline6,
        ),
      ],
    );
  }
}
