import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class ShadowedContainer extends StatelessWidget {
  final Widget child;
  final double height;
  final Color color;
  const ShadowedContainer({Key key, this.height, this.color, this.child}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: height,
      decoration: BoxDecoration(
        color: Colors.white,
        boxShadow: [
          BoxShadow(
            color: color ?? darkBlue.withOpacity(0.07),
            offset: Offset(0, 10),
            blurRadius: 20,
          ),
        ],
        borderRadius: BorderRadius.circular(1),
      ),
      child: child,
    );
  }
}
