import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';
import 'package:velocity_components/model/table_header_item.dart';

class VelocityTableHeader extends StatelessWidget {
  final List<VelocityTableHeaderItem> items;

  const VelocityTableHeader({Key key, this.items}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    final titleStyle = caption;

    return Padding(
      padding: Spacing.standardHorizontalPadding,
      child: Row(
        children: items
            .map((item) => Expanded(
                  flex: item.flex,
                  child: Text(item.title, style: titleStyle),
                ))
            .toList(),
      ),
    );
  }
}
