import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/model/table_cell.dart';

class VelocityTableRow extends StatelessWidget {
  final List<VelocityTableCell> items;
  final VoidCallback onPressed;
  const VelocityTableRow({Key key, @required this.items, this.onPressed}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onPressed,
      child: Container(
        height: 75,
        color: Colors.white,
        child: Padding(
          padding: Spacing.standardHorizontalPadding,
          child: Row(
            children: items
                .map((item) => Expanded(
                      flex: item.flex,
                      child: item.widget,
                    ))
                .toList(),
          ),
        ),
      ),
    );
  }
}
