import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/widgets/table/table_header.dart';
import 'package:velocity_components/widgets/table/table_row.dart';

class VelocityTable extends StatelessWidget {
  final VelocityTableHeader header;
  final List<VelocityTableRow> rows;

  const VelocityTable({
    Key key,
    this.header,
    this.rows,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.stretch,
      children: [
        this.header,
        VerticalSpacing(8),
        ListView.separated(
          shrinkWrap: true,
          physics: NeverScrollableScrollPhysics(),
          itemCount: rows.length,
          separatorBuilder: (c, i) => VerticalSpacing(Spacing.smallSpacing),
          itemBuilder: (c, i) => rows[i],
        ),
      ],
    );
  }
}
