import 'package:bmcommons/bmcommons.dart';
import 'package:flutter/material.dart';
import 'package:velocity_components/constants/_constants.dart';

class Tag extends StatelessWidget {
  final String title;
  final IconData leadingIcon;
  final Color color;

  const Tag({
    Key key,
    this.title,
    this.leadingIcon,
    this.color = darkBlue,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return IntrinsicWidth(
      child: Container(
        padding: Spacing.standardHorizontalPadding,
        alignment: Alignment.center,
        height: 30,
        decoration: BoxDecoration(
          color: color.withOpacity(0.2),
          borderRadius: BorderRadius.circular(5),
        ),
        child: Row(
          children: [
            Visibility(
              visible: leadingIcon != null,
              child: Container(
                width: 4,
                child: Icon(leadingIcon, color: color),
              ),
            ),
            ExpandedContainer(),
            Text(
              title,
              style: bodyText2.copyWith(color: color),
              textAlign: TextAlign.center,
            ),
            ExpandedContainer(),
            Visibility(
              visible: leadingIcon != null,
              child: HorizontalSpacing(4),
            ),
          ],
        ),
      ),
    );
  }
}
